# Class CIM_Chip
extends CIM_PhysicalComponent

The Chip class represents any type of integrated circuit hardware, including ASICs, processors, memory chips, etc.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_PhysicalElement
|
+--CIM_PhysicalComponent
|
+--CIM_Chip

## Direct Known Subclasses

CIM_PhysicalMemory

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The Chip class represents any type of integrated circuit hardware, including ASICs, processors, memory chips, etc.
UMLPackagePath | string | CIM::Physical::Component
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
FormFactor | uint16 |
Description | string | The implementation form factor for the Chip. For example, values such as SIMM (7), TSOP (9) or PGA (10) can be specified.
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23
Values | string | Unknown, Other, SIP, DIP, ZIP, SOJ, Proprietary, SIMM, DIMM, TSOP, PGA, RIMM, SODIMM, SRIMM, SMD, SSMP, QFP, TQFP, SOIC, LCC, PLCC, BGA, FPBGA, LGA

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
CanBeFRUed | boolean | CIM_PhysicalElement
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_PhysicalElement
Description | string | CIM_PhysicalElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_PhysicalElement
HealthState | uint16 | CIM_ManagedSystemElement
HotSwappable | boolean | CIM_PhysicalComponent
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
ManufactureDate | datetime | CIM_PhysicalElement
Manufacturer | string | CIM_PhysicalElement
Model | string | CIM_PhysicalElement
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherIdentifyingInfo | string | CIM_PhysicalElement
PartNumber | string | CIM_PhysicalElement
PoweredOn | boolean | CIM_PhysicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
Removable | boolean | CIM_PhysicalComponent
RemovalConditions | uint16 | CIM_PhysicalComponent
Replaceable | boolean | CIM_PhysicalComponent
SerialNumber | string | CIM_PhysicalElement
SKU | string | CIM_PhysicalElement
Status | string | CIM_ManagedSystemElement
Tag | string | CIM_PhysicalElement
UserTracking | string | CIM_PhysicalElement
VendorEquipmentType | string | CIM_PhysicalElement
Version | string | CIM_PhysicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods